% LSML
%
% General Utility Functions
%   computeNeighbor    - Find neighbors (must be close in Euclidean space and from the same set).
%   generateToydata    - Used to generate test manifolds data with d=1/2 and D=2/3.
%   visualizeManifold  - Manifold visualization functions for data in D=2 or D=3.
%
% LSML code
%   lsmlComputeH       - Compute tangent vectors at points X.
%   lsmlDemo           - Demo for several abilities of LSML.
%   lsmlDenoise        - Denoise manifold points given learned manifold.
%   lsmlEmbed          - Embed D-dim data into d-dim space while trying to preserve geodesics.
%   lsmlGeodesic       - Compute the geodesic distance between points on the manifold.
%   lsmlIsomap         - Simple implementation of the Isomap algorithm.
%   lsmlOptimizeChi    - Helper: perform gradient descent on X for different error functions.
%   lsmlOptimizeTh     - Compute manifold warping function.
%   lsmlOptimizeThUnc  - Compute manifold warping function (deprecated: use lsmlOptimizeTh)
%
% Other
%   Contents.m         - This file.
%   lgpl.txt           - Lesser GPL license information.
%   gpl.txt            - GPL license information.
%   readme.txt         - General LSML toolbox information.